<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include('DF30000.inc');
include('DF80000.php');
include("DFJQUERY.inc");
?>
<?php
 
//busquedas
$m=substr($_SESSION['m_a'],0,2);
$a=substr($_SESSION['m_a'],2,4);
$fecproc=$a.'-'.$m.'-01';
$busqcal=  "SELECT 
				dncageno.*,
				dntipnom.des_nomi as tipoNomina 
			FROM 
				dncageno
				LEFT JOIN dntipnom ON(
					dntipnom.cve_nomi=dncageno.cve_nomi
				) 
			WHERE 
				dncageno.axo_mes='$fecproc' 
				AND dncageno.act_nom='SI' 
			ORDER BY 
				dncageno.cve_nomi,dncageno.no_nomi";

$sqbusqcal=mysqli_query($con ,$busqcal);
while(@$arbusqw=mysqli_fetch_array($sqbusqcal)){
	if($arbusqw['act_nom']=="NO") break;
	$ar_per[]=array("idPeriodo"=>$arbusqw['no_reg'],"fechaInicialPeriodo"=>$arbusqw['fec_ini'],"fechaFinalPeriodo"=>$arbusqw['fec_fin'],"axoMesPeriodo"=>$arbusqw['axo_mes'],"descPeriodo"=>$arbusqw['des_nomi'],"tipoNominaPeriodo"=>$arbusqw['tipoNomina'],"noPeriodo"=>$arbusqw['no_nomi']);
}
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	$('input#chCont').click(function(){
			chCheckGroup('chCont','chPeriodo[]');
	});
});
function chCheckGroup(chManager,chGroup){
	var objManager=document.getElementById(chManager);
	var objGroup=document.getElementsByName(chGroup);
	var checked;
	var i;
	if(objManager.checked) isChecked=true;
	else isChecked=false;
	for(i=0;i<objGroup.length;i++)
		objGroup['i'].checked=isChecked;
}
</script>
<body>

<div align="center">
<form name="form1" id="form1" method="post" action="">
 <input type="hidden" name="antseperded" id="antseperded" value="<?php
 echo $_POST['seperded'];?>">
  <table  align="center">
    <tr>
      <th>POLIZA	  </th>
    </tr>
    
	    
	     <tr>
	    <th><div align="center">Periodo de  Nomina</div></th>
      </tr>
	     <tr>
	      <td>
		  <div align="center" id="divPeriodos" >
		  	<table id="tablaPeriodos" border="0">
				<tr>
				<td style="#0099FF"><input type="checkbox" name="chCont" id="chCont" value="none"></td>
				<td style="#0099FF">Nomina</td>
				<td style="#0099FF">No. Per.</td>
				<td style="#0099FF">Descripcion</td>
				</tr>
				<?php
  
		  		
				$cont=count($ar_per);
		  		
				for($c=0;$c<$cont;$c++){
				echo '<tr class="estilotabla">';
 				echo '<td><input type="checkbox" name="chPeriodo[]" value="'.($c+1).'|'.$ar_per[$c]['idPeriodo'].'"></td>
				 	  <td>'.$ar_per[$c]['tipoNominaPeriodo'].'</td>
					  <td>'.$ar_per[$c]['noPeriodo'].'</td>
					  <td> '.$ar_per[$c]['descPeriodo'].'</td>';
		  		echo '<tr>';	
		  		}
		  		?>
		  </table>
		</div>		</td>
      </tr>
      <tr>
	  	<td style="#FFFFFF">
	  	  <div align="center">
	  	    <input name="bogenpol" type="submit" id="bogenpol" value="Generar Poliza">
          </div>	  	</td>
      </tr>
  </table>


<div align="center">
  <?php

if(isset($_POST["bogenpol"])){
	include("DC22000_CL.php");
	include("DN5B000_CL.php");
	$nomina= new dnnomina($a,$m,'TODAS',$nonomi);
	$headerPoliza=new clase(array("modSis"=>"DN5B000"));
	$perss=$_POST["chPeriodo"];
	for($n=0;$n<count($perss);$n++){
		$pre=explode('|',$perss[$n]);
		$periodos[$n]=$pre[1];
		$polizaNo[$n]=$pre[0];
		$pre=NULL;
	}
	for($i=0;$i<count($periodos);$i++){
		$cargo=0.00;
		$abono=0.00;
		$sq_cagenomix=$nomina->getPeriodHeader($periodos[$i]);
		$dt_cageno=mysqli_fetch_array($sq_cagenomix);
		$conceptoPoliza=$dt_cageno['desNomina'].' del '.$dt_cageno['fechaInicial'].' al '.$dt_cageno['fechaFinal'];
		$poliza=$dt_cageno['polizaNomina'].'-'.ajustarCadena($polizaNo[$i],5);
		$sq_nominamix=$nomina->getPeriodDetail($dt_cageno['idNomina'],$dt_cageno['numeroPeriodo'],$dt_cageno['axo'],$dt_cageno['mes']);
		$axoMesPer=$dt_cageno['axo'].$dt_cageno['mes'];
		$fecp=explode('/',$dt_cageno['fechaFinal']);
		$axoMesFinPer=$fecp[2].$fecp[1];
		if("$axoMesPer"!="$axoMesFinPer"){
			$ultimoDia = date ('d', mktime (0, 0, 0, $dt_cageno['mes']+1, 0,$dt_cageno['axo']));
			$fechaPoliza= $dt_cageno['axo'].'-'.$dt_cageno['mes'].'-'.$ultimoDia;
		}
		else{
			$fechaPoliza=$fecp[2].'-'.$fecp[1].'-'.$fecp[0];
		}
		$numeroPoliza=ajustarCadena($i+1,5);
		$headerPoliza->campos[0]=$dt_cageno['polizaNomina'];
		$headerPoliza->campos[1]=ajustarCadena($polizaNo[$i],5);
		$headerPoliza->campos[2]=$fechaPoliza;
		$headerPoliza->campos[3]=$conceptoPoliza;
		$headerPoliza->campos[4]='DN';
		if($headerPoliza->revisaPoliza($dt_cageno['axo'],$dt_cageno['mes'])!='ok'){
			$res=$headerPoliza->agregar();
		}
		else{
			$res='0';
			echo '<H4>'.$conceptoPoliza.' POLIZA: '.$poliza.'. ERROR: POLIZA EXISTENTE</H4>';
		}
		$sumParcialAbonos=0.00;
		$sumParcialCargos=0.00;
		if($res == "ok"){
			echo '<H4>'.$conceptoPoliza.' POLIZA: '.$poliza.'</H4>';
			$nr =mysqli_insert_id($con);
			while($dt_nominamix=mysqli_fetch_array($sq_nominamix)){
				if($dt_nominamix['afectaFuncionario']=='S'){
					$sq_nomMix=$nomina->getPeriodDetailDepto($dt_cageno['idNomina'],$dt_cageno['numeroPeriodo'],$dt_cageno['axo'],$dt_cageno['mes'],$dt_nominamix['numeroPercepcion'],$dt_nominamix['idPercepcion'],$dt_nominamix['idDepartamento']);
					while($dt_nomMix=mysqli_fetch_array($sq_nomMix)){
						if($dt_nomMix['tipoPercepcion']=='P') $cargo=round($dt_nomMix['importe'],2);
						elseif($dt_nomMix['tipoPercepcion']=='Q') $abono=round($dt_nomMix['importe'],2);
						@$sql=mysqli_query($con ,"insert into dcdpoliz (tip_pol, fec_pol, num_pol, num_reg, cta_con, desc_con, cargo, abono) values ('".$dt_cageno['polizaNomina']."', '$fechaPoliza', '$poliza','$nr', '".$dt_nomMix['cuentaEmpleado']."','$conceptoPoliza', '$cargo', '$abono')");
						$sumParcialAbonos +=$abono;
						$sumParcialCargos +=$cargo;
						$cargo=0.00;
						$abono=0.00;
					}
				}
				else{
					if($dt_nominamix['esGlobal']=='G')$ctaPolizaDetalle=$dt_nominamix['cuentaPercepcion'];
					else $ctaPolizaDetalle=$dt_nominamix['cuentaDepartamento'].$dt_nominamix['cuentaPercepcion'];
					if($dt_nominamix['tipoPercepcion']=='P') $cargo=round($dt_nominamix['importe'],2);
					elseif($dt_nominamix['tipoPercepcion']=='Q') $abono=round($dt_nominamix['importe'],2);
					@$sql=mysqli_query($con ,"insert into dcdpoliz (tip_pol, fec_pol, num_pol, num_reg, cta_con, desc_con, cargo, abono) values ('".$dt_cageno['polizaNomina']."', '$fechaPoliza', '$poliza','$nr', '$ctaPolizaDetalle','$conceptoPoliza', '$cargo', '$abono')");
					$sumParcialAbonos +=$abono;
					$sumParcialCargos +=$cargo;
					$cargo=0;
					$abono=0;
				}
			}
			$parA=$sumParcialCargos -$sumParcialAbonos;
			$parAbono=round($parA,2);
			$parA=0.00;
			@$sql=mysqli_query($con ,"insert into dcdpoliz (tip_pol, fec_pol, num_pol, num_reg, cta_con, desc_con, cargo, abono) values ('".$dt_cageno['polizaNomina']."', '$fechaPoliza', '$poliza','$nr', '".$dt_cageno['cuentaNomina']."','$conceptoPoliza', '0.00', '$parAbono')");
			$rs=mysqli_query($con ,"update dcepoliz set imp_total=$sumParcialCargos, cuadrada='S' where id_dcepol='$nr'");
		}
		$headerPoliza->hisMovSis->resetData(array("regAfe"=>"id_dcepol='".$nr."'","tipMov"=>"A","obsMov"=>$headerPoliza->lastSQ));
		$headerPoliza->hisMovSis->agregar();
	}
}

function ajustarCadena($cadena,$tamano=5,$caracterRelleno='0',$pos='I'){
	$cad="$cadena";
	$nChar=$tamano-strlen($cad);
	if('I')
		for($i=0;$i<$nChar;$i++)
			$cad=$caracterRelleno.$cad;
	elseif('D')
		for($i=0;$i<$nChar;$i++)
			$cad=$cad.$caracterRelleno;
	return $cad;
}

?>
</div>
</form>
</body>
</html>
